package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MemberMessage;

/**
 * 用户消息Service接口
 * （论坛帖子消息）
 * @author ruoyi
 * @date 2023-10-18
 */
public interface IMemberMessageService
{
    /**消息已读
     */
    int readMessage(Long messageId);

    /**
     * 点赞/评论 未读数量
     */
    Long noReadCount(Long userId);
    /**
     * 查询用户消息
     * 
     * @param messageId 用户消息主键
     * @return 用户消息
     */
    public MemberMessage selectMemberMessageByMessageId(Long messageId);

    /**
     * 查询用户消息列表
     * 
     * @param memberMessage 用户消息
     * @return 用户消息集合
     */
    public List<MemberMessage> selectMemberMessageList(MemberMessage memberMessage);

    /**
     * 新增用户消息
     * 
     * @param memberMessage 用户消息
     * @return 结果
     */
    public int insertMemberMessage(MemberMessage memberMessage);

    /**
     * 修改用户消息
     * 
     * @param memberMessage 用户消息
     * @return 结果
     */
    public int updateMemberMessage(MemberMessage memberMessage);

    /**
     * 批量删除用户消息
     * 
     * @param messageIds 需要删除的用户消息主键集合
     * @return 结果
     */
    public int deleteMemberMessageByMessageIds(Long[] messageIds);

    /**
     * 删除用户消息信息
     * 
     * @param messageId 用户消息主键
     * @return 结果
     */
    public int deleteMemberMessageByMessageId(Long messageId);
}
